<div class="d-flex flex-wrap flex-md-row-reverse justify-content-between" *ngIf="!this.exibeNovo">
    <div class="col-12 col-md-6 p-0 mt-2">
        <div class="input-group no-border">
            <input type="text" #termo class="form-control" (keyup)="onChangeBusca(termo.value)" placeholder="Pesquisar...">
            <div class="input-group-append">
                <div class="input-group-text">
                    <i class="nc-icon nc-zoom-split"></i>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4 p-0">
        <button type="button" class="btn btn-info" (click)="this.alternar()">
            <i class="nc-icon nc-simple-add"></i>
            Novo
        </button>
    </div>
</div>
<div class="d-flex flex-row" *ngIf="this.exibeNovo">
    <div class="card col animated bounce">
        <form [formGroup]="formCliente" (ngSubmit)="onSubmit()">
            <div class="card-body">
                <div class="form-row">
                    <div class="col-md-3 form-group">
                        <label for="login">CPF ou CPNJ</label>
                        <input class="form-control text-center" id="documento" name="documento" formControlName="documento" type="text" />
                        <small *ngIf="formCliente.get('documento').errors">
                            <span *ngIf="formCliente.get('documento').errors.required && (formCliente.get('documento').dirty || formCliente.get('documento').touched)" class="text-danger">O documento é obrigatório</span>
                            <span *ngIf="formCliente.get('documento').errors.pattern && (formCliente.get('documento').dirty || formCliente.get('documento').touched)" class="text-danger">Informe um documento válido</span>
                        </small>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 form-group">
                        <label for="nome">Nome</label>
                        <input class="form-control" id="nome" name="nome" formControlName="nome" type="text" />
                        <small *ngIf="formCliente.get('nome').errors">
                            <span *ngIf="formCliente.get('nome').errors.required && (formCliente.get('nome').dirty || formCliente.get('nome').touched)" class="text-danger">O nome é obrigatório</span>
                            <span *ngIf="formCliente.get('nome').errors.minlength && (formCliente.get('nome').dirty || formCliente.get('nome').touched)" class="text-danger">Informe o nome completo</span>
                        </small>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-3 form-group">
                        <label for="nome">Telefone</label>
                        <input class="form-control text-center" id="contatoTelefone" name="contatoTelefone" formControlName="contatoTelefone" type="text" placeholder="(99) 9999-9999" maskDevmil="(99) 9999-9999"/>
                        <small *ngIf="formCliente.get('contatoTelefone').errors">
                            <span *ngIf="formCliente.get('contatoTelefone').errors.required && (formCliente.get('contatoTelefone').dirty || formCliente.get('contatoTelefone').touched)" class="text-danger">O telefone é obrigatório</span>
                            <!--span *ngIf="formCliente.get('contatoTelefone').errors.pattern && (formCliente.get('contatoTelefone').dirty || formCliente.get('contatoTelefone').touched)" class="text-danger">Informe um telefone válido</span-->
                        </small>
                    </div>
                    <div class="col-md-3 form-group">
                        <label for="nome">Celular</label>
                        <input class="form-control text-center" dev id="contatoCelular" name="contatoCelular" formControlName="contatoCelular" type="text" placeholder="(99) 9999-9999" maskDevmil="(99) 99999-9999"/>
                        <small *ngIf="formCliente.get('contatoCelular').errors">
                            <span *ngIf="formCliente.get('contatoCelular').errors.required && (formCliente.get('contatoCelular').dirty || formCliente.get('contatoCelular').touched)" class="text-danger">O celular é obrigatório</span>
                            <!--span *ngIf="formCliente.get('contatoCelular').errors.pattern && (formCliente.get('contatoCelular').dirty || formCliente.get('contatoCelular').touched)" class="text-danger">Informe um celular válido</span-->
                        </small>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="nome">E-mail</label>
                        <input class="form-control" id="contatoEmail" name="contatoEmail" formControlName="contatoEmail" type="text"/>
                        <small *ngIf="formCliente.get('contatoEmail').errors">
                            <span *ngIf="formCliente.get('contatoEmail').errors.required && (formCliente.get('contatoEmail').dirty || formCliente.get('contatoEmail').touched)" class="text-danger">O e-mail é obrigatório</span>
                            <span *ngIf="formCliente.get('contatoEmail').errors.email && (formCliente.get('contatoEmail').dirty || formCliente.get('contatoEmail').touched)" class="text-danger">Informe um e-mail válido</span>
                        </small>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-12">
                        <label>Selecione o plano</label>
                    </div>
                    <div *ngFor="let item of planos | async" href="#" class="col-md-3 animated fadeIn" (click)="selecionarPlano(item)">
                        <div class="card {{ item.id == plano.id ? 'bg-white border border-success':''}}" id="{{ item.id }}" (mouseover)="hover=item.id" (mouseleave)="hover=''" [ngClass]="hover == item.id || item.id == plano.id ? 'shadow' : 'shadow-none bg-light'">
                            <div class="card-body text-center">
                                <div class="row">
                                    <i class="fa fa-check-circle-o text-success fa-2x ml-2" [ngClass]="item.id == plano.id ? '' : 'd-none'" style="position: absolute !important;"></i>
                                    <div class="col">
                                        <i class="fa fa-empire" [style.color]="hover == item.id || item.id == plano.id ? item.color : '#9A9A9A'" style="font-size: 48pt;"></i>
                                        <strong class="text-uppercase d-block" [style.color]="hover == item.id || item.id == plano.id ? item.color : '#9A9A9A'">{{ item.nome }}</strong>
                                        <p>
                                            {{ item.descricao }}
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer ">
                                <div class="stats">
                                    <i class="fa fa-cogs"></i>
                                    <small>Serviços</small>
                                    <strong class="pull-right">{{ item.servicos }}</strong>
                                </div>
                                <div class="stats">
                                    <i class="fa fa-archive"></i>
                                    <small>Guichês</small>
                                    <strong class="pull-right">{{ item.guiches }}</strong>
                                </div>
                                <div class="stats">
                                    <i class="fa fa-television"></i>
                                    <small>Painéis</small>
                                    <strong class="pull-right">{{ item.paineis }}</strong>
                                </div>
                                <div class="stats">
                                    <i class="fa fa-users"></i>
                                    <small>Atendentes</small>
                                    <strong class="pull-right">{{ item.atendentes }}</strong>
                                </div>
                                <div class="stats">
                                    <i class="fa fa-handshake-o"></i>
                                    <small>Atendimentos</small>
                                    <strong class="pull-right">ilimitado</strong>
                                </div>
                                <hr>
                                <h3 class="text-center my-1">{{ item.valor | currency:'BRL'}}</h3>
                                <h5 class="text-center my-1 text-success">Teste gratuitamente por 30 dias</h5>
                                <div class="stats">
                                    <small>Desconto pagamento trimestral</small>
                                    <strong class="pull-right">10%</strong>
                                </div>
                                <div class="stats">
                                    <small>Desconto pagamento anual</small>
                                    <strong class="pull-right">25%</strong>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mt-3" *ngIf="plano.id">
                    <div class="col-md-4 form-group">
                        <label for="tipoFaturamento">Tipo de faturamento</label>
                        <select 
                            name="tipoFaturamento" 
                            id="tipoFaturamento" 
                            class="form-control"
                            formControlName="tipoFaturamento"
                            #tipoFaturamento
                            (change)="onChangeTipoFaturamento(tipoFaturamento.value)">
                            <option *ngFor="let tipo of tiposFaturamento" [value]="tipo">{{ tipo }}</option>
                        </select>
                    </div>
                    <div class="col-md-3 form-group">
                        <label for="vencimento">Próximo vencimento</label>
                        <input type="text" disabled id="vencimento" name="vencimento" value="{{formCliente.get('vencimento').value | date: 'dd/MM/yyyy' }}" class="form-control text-center"/>
                    </div>
                    <div class="col-md-3 form-group">
                        <label for="vencimento">Valor</label>
                        <input type="text" disabled id="vencimento" name="vencimento" value="{{formCliente.get('valor').value | currency:'BRL' }}" class="form-control text-right"/>
                    </div>
                </div>

            </div>
            <div class="card-footer">
                <div class="d-flex flex-row-reverse">
                    <button type="submit" class="btn btn-primary ml-2" >
                        <i class="nc-icon nc-check-2"></i>
                        Salvar
                    </button>
                    <button type="button" class="btn btn-secondary" (click)="this.ngOnInit()">
                        <i class="nc-icon nc-simple-remove"></i>
                        Cancelar
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="row">
    <div *ngFor="let item of clientes | async" href="#" class="col-md-3 animated fadeIn" (click)="editar(item)">
        <div class="card">
            <div class="card-body text-center">
                <i class="nc-icon nc-bank text-secondary" style="font-size: 48pt;"></i>
                <strong class="text-uppercase d-block mt-3" style="min-height: 42px;">{{ item.nome }}</strong>
            </div>
            <div class="card-footer ">
                <hr>
                <div class="stats">
                    <i class="fa fa-info-circle"></i>
                    <small>Plano</small>
                    <strong class="pull-right text-uppercase d-block" [style.color]="item.plano.color">{{ item.plano.nome }}</strong>
                </div>
                <div class="stats">
                    <i class="fa fa-info-circle"></i>
                    <small>Tipo faturamento</small>
                    <strong class="pull-right">{{ item.plano.tipoFaturamento }}</strong>
                </div>
                <div class="stats">
                    <i class="fa fa-info-circle"></i>
                    <small>Valor</small>
                    <strong class="pull-right">{{ item.plano.valor | currency:'BRL'}}</strong>
                </div>
                <div class="stats">
                    <i class="fa fa-info-circle"></i>
                    <small>Vencimento</small>
                    <strong class="pull-right">{{ item.plano.vencimento | date: 'dd/MM/yyyy' }}</strong>
                </div>
            </div>
        </div>
    </div>
</div>
    